const system = require("../../system");
const Dao = require("../dao.base");
class CopyrightuserinfoDao extends Dao {
  constructor() {
    super(Dao.getModelName(CopyrightuserinfoDao));
  }
  async createOrder2ToAddUser(orderNum, tmpProxyCode, copyrightType, t) {
    //代理人信息
    var userinfo = {
      proxyCode: tmpProxyCode,//代理号',
      orderNum: orderNum,//订单号',
      name: "汉唐信通（北京）咨询股份有限公司",
      addrInfo: "北京市朝阳区来广营西路8号国创产业园6号楼三层东壹区",
      zipCode: "100102",
      customerContact: "刘江涛",
      tel: "010-84927588",
      email: "3029024517@qq.com",
      mobile: "13691400475",
      fax: "",//'传真',
      entrustDesc: copyrightType == 1 ? "兹委托汉唐信通（北京）咨询股份有限公司办理该软件登记事宜，有效期至领证截止。" : "兹委托汉唐信通（北京）咨询股份有限公司办理该作品登记事宜，有效期至领证截止。"
    }
    await this.create(userinfo, t);
  }
}
module.exports = CopyrightuserinfoDao;
